{% extends "ajax/game/beyond/beyond.html.twig" %}
{% block menu_text %}
    {{ parent() }}
{% endblock %}
{# @var zone \App\Entity\Zone #}
{# @var citizen \App\Entity\Citizen #}
{% block content %}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 zone-beyond time-{{ hour }} {% if hour < 7 or hour > 18 %}night-{% endif %}{% if zone.x == 0 and zone.y == 0 %}city{% elseif zone.prototype and zone.prototype.id > 0 %}oldruins{% else %}outerworld{% endif %}{% if zone.x == 0 and zone.y == 0 and zone.town.door == 1 %}-open{% endif %}"></div>
    </div>
    <div class="row">
        <div class="cell rw-12">
            <div class="{% if not zone.prototype %}ambiant {% endif %}small">
                {% if zone.x == 0 and zone.y == 0 %}
                    {% trans from 'game' %}Du lässt deinen Blick schweifen. Direkt vor dir erstreckt sich die gottverlassene Landschaft der Außenwelt. Du denkst an die anderen Stadtbewohner, die sich gerade draußen befinden und in den Ruinen graben. Du malst dir die Leiden all derer aus, die nicht mehr zurückkehren werden.{% endtrans %}
                    <p>{% trans from 'game' %}Möchtest du nun also nach draußen gehen oder entscheidest du dich dafür, in der Stadt zu bleiben? Manche sagen, dass man verrückt, andere wiederum, dass man gewieft sein muss, um die Außenwelt zu erkunden. Vielleicht trifft ja beides zu...{% endtrans %}</p>
                {% else %}
                    {% if zone.prototype %}
                        <div class="ruin-info">
                            {% if zone.buryCount > 0 %}
                                <b>{{ 'Verschüttete Ruine'|trans({},'game') }}</b>
                                {% if scout %}<b>(<i>{{ zone.prototype.label|trans({}, 'game') }}</i>)</b>{% endif %}
                                <br />
                                {{ 'Es muss noch aufgeräumt werden'|trans({},'game') }}:
                                <div class="ruin-bury-count">{% for p in 1..zone.buryCount %}<div></div>{% endfor %}</div>
                                <span class="ruin-desc">{{ 'Die Zone ist vollständig mit verrottender Vegetation, Sand und allem möglichen Schrott bedeckt. Du bist dir sicher, dass es hier etwas zu finden gibt, aber zunächst musst du diesen gesamten Sektor aufräumen um ihn vernünftig durchsuchen zu können.'|trans({}, 'game') }}</span>
                            {% else %}
                                <img src="{{ asset('build/images/icons/small_help.gif') }}" /> <span class="ruin-name">{{ 'Ruine'|trans({},'game') }} : <b>{{ zone.prototype.label|trans({}, 'game') }}</b></span><br />
                                <span class="ruin-desc">{{ zone.prototype.description|trans({}, 'game') }}</span>
                            {% endif %}

                        </div>
                    {% else %}
                        {% if hour >= 7 and hour <= 18 %}
                            {% trans from 'game' %}Die Wüste erstreckt sich, so weit das Auge reicht... Wie viele Männer sind in dieser Weite verloren gegangen? Wer weiß, ob Sie nicht der Nächste sind?{% endtrans %}
                        {% else %}
                            {% trans from 'game' %}Die Wüstennächte sind bitterkalt... Eine dicke Staubwolke umhüllt dich und du hörst schauriges Gekreische in deiner Umgebung. Ab und zu glaubst du eine unförmige Gestalt im Schatten wandeln zu sehen. Vielleicht geht auch nur deine Fantasie mit dir durch...{% endtrans %}
                        {% endif %}
                    {% endif %}
                {% endif %}
            </div>
        </div>
    </div>

    {% if citizen.escortSettings is not null and citizen.escortSettings.leader is not null %}
        <div class="help">
            <b>{{ 'Du folgst aktuell %citizen%.'|trans({'%citizen%': citizen.escortSettings.leader.user.name}, 'game') }}</b>
            <p>
                {% trans from 'game' %}
                    Solange du einem anderen Bürger folgst, sind deine Handlungsmöglichkeiten eingeschränkt.
                    Du kannst weder die Karte benutzen, noch sonst eine Aktion durchführen, die im Freien möglich ist.
                {% endtrans %}
            </p>
        </div>
        <div class="float-right link" x-ajax-sticky x-ajax-href='{{ path('beyond_dashboard') }}'>{{'Aktualisierung'|trans({}, 'game')}}</div>

    {% else %}
        {% if (zone.x != 0 or zone.y != 0) and conf.get(constant('App\\Structures\\TownConf::CONF_FEATURE_CAMPING'),false) %}
            <div class="row">
                <div class="cell rw-12 zone-camp">
                    <input type="checkbox" name="zone-camp" id="zone-camp"{% if citizen_hidden %} checked="checked"{% endif %} /><label for="zone-camp">{% trans from 'game' %}Die Zone untersuchen{% endtrans %}</label>
                    <div class="zone-camp-info">
                        <p>{% trans from 'game' %}Du schaust dir die Gegend etwas genauer an...{% endtrans %}</p>
                        {% if camping_zone != "" %}
                            <p>{{ camping_zone|trans({}, 'game') }}</p>
                        {% endif %}
                        {% if camping_zombies != "" %}
                            <p>{{ camping_zombies|trans({}, 'game') }}</p>
                        {% endif %}
                        {% if camping_chance != "" %}
                            <p class="emphasis">{{ camping_chance|trans({}, 'game') }}</p>
                        {% endif %}
                        {% if camping_improvable != "" %}
                            <p>{{ camping_improvable }}</p>
                        {% endif %}
                        {% if camping_blueprint != "" %}
                            <p{% if not blueprintFound %} class="emphasis"{% endif %}><b>{{ camping_blueprint|trans({}, 'game') }}</b></p>
                        {% endif %}
                        {% if camping_debug != "" %}
                            <pre>{{ camping_debug }}</pre>
                        {% endif %}
                        {% embed "ajax/game/camping.html.twig" with {'list': camping, 'hidden': citizen_hidden} %}
                        {% endembed %}
                    </div>
                </div>
            </div>
        {% endif %}
        {% if zone_blocked %}
            <div class="row">
                <div class="cell rw-12">
                    <div class="zone-blocked-warning">
                        <b>
                            {% if zone_escape > 0 %}
                                {% trans from 'game' %}Temporäre Zonenkontrolle{% endtrans %}
                            {% else %}
                                {% trans with { '%z%': zone_zombies } from 'game' %}%z% Zombies kontrollieren diese Zone!{% endtrans %}
                            {% endif %}
                        </b><br />
                        <span>
                        {% if zone_escape > 0 %}
                            {% trans from 'game' %}
                                Das ist deine Chance - ergreife sie und fliehe! In Kürze werden die Zombies die Kontrolle über die Zone zurückerlangen. Dir verbleiden:
                            {% endtrans %}
                            <span x-countdown="{{ zone_escape }}" x-on-expire="reload">...</span>
                        {% elseif active_scout_mode %}
                            <br />
                            {% trans from 'game' %}
                                Dank deiner Tarnung kannst du dich dennoch bewegen - werde nur nicht zu übermütig...
                            {% endtrans %}
                            <br /><br />
                            <b>{{ 'Achtung'|trans({},'global') }}</b>: {% trans from 'game' %}
                                Bestimmte Aktionen können deine Tarnung auffliegen lassen!
                            {% endtrans %}
                        {% else %}
                            {% trans from 'game' %}
                                Du wurdest überrascht und bist jetzt von den Zombies umzingelt! Wenn du nichts unternimmst und dir niemand zu Hilfe eilt, wirst du ohne Zweifel heute Abend hier verrecken ...
                            {% endtrans %}
                        {% endif %}
                    </span>
                        {% if zone_escape <= 0 and not active_scout_mode %}
                            <div class="row">
                                <div class="padded-small cell rw-6"><button x-ajax-href="{{ url('forum_town_redirect') }}"><img alt="" src="{{ asset('build/images/icons/attacked.gif') }}" />{% trans from 'game' %}Hilfe rufen!{% endtrans %}</button></div>
                                <div {% if not can_escape %}disabled{% endif %} class="padded-small cell rw-6"><button id="escape-btn"><img alt="" src="{{ asset('build/images/icons/death.gif') }}" />{% trans from 'game' %}Die Flucht wagen!{% endtrans %}</button></div>
                            </div>
                            <div class="row">
                                <div {% if not can_attack %}disabled{% endif %} class="padded-small cell rw-8"><button id="attack-btn"><img alt="" src="{{ asset('build/images/icons/fist.gif') }}" />{% trans from 'game' %}Gegen einen Zombie kämpfen!{% endtrans %} (<div class="ap">1</div>)</button></div>
                            </div>
                        {% endif %}
                    </div>
                </div>
            </div>

        {% endif %}
        <div class="row">
            <div class="padded cell rw-6 rw-md-12">
                {% if zone.x != 0 or zone.y != 0 %}<h5>{% trans from 'game' %}Diese Zone{% endtrans %}</h5>{% endif %}

                {% if zone.digs <= 0 %}
                    <div class="note note-light">
                        <img alt="" src="{{ asset('build/images/icons/Small_broken.gif') }}" />
                        {% trans from 'game' %}
                            Diese Zone ist leergesucht. Du wirst hier keine wertvollen Gegenstände mehr finden können.
                        {% endtrans %}
                    </div>
                {% endif %}

                <h5>{% trans from 'game' %}Meine Aktionen{% endtrans %}</h5>
                {% if zone.x != 0 or zone.y != 0 %}
                    {% if not citizen_hidden %}
                        {% if not digging %}
                            {% if zone_blocked %}
                                <div class="note note-light">
                                    <img class="icon left" alt="" src="{{ asset('build/images/icons/lock.gif') }}" />
                                    {% trans from 'game' %}Während Zombies die Zone kontrollieren, kannst du nicht graben.{% endtrans %}
                                </div>
                            {% elseif citizen.digTimeout > 0 and conf.get(constant('App\\Structures\\TownConf::CONF_MODIFIER_ALLOW_REDIGS'),false) %}
                                <div class="note note-light">
                                    <img class="icon left" alt="" src="{{ asset('build/images/icons/lock.gif') }}" />
                                    {% trans from 'game' %}Du hast hier bereits vor Kurzem gegraben. Die nächste Ausgrabung ist möglich in:{% endtrans %}
                                    <b x-countdown="{{ citizen.digTimeout }}" x-on-expire="reload">...</b>
                                </div>
                            {% elseif citizen.passiveDigTimer and not conf.get(constant('App\\Structures\\TownConf::CONF_MODIFIER_ALLOW_REDIGS'),false) %}
                                <div class="note note-light">
                                    <img class="icon left" alt="" src="{{ asset('build/images/icons/lock.gif') }}" />
                                    {% trans from 'game' %}Du hast hier bereits vor Kurzem gegraben. Die nächste Ausgrabung ist erst morgen wieder möglich.{% endtrans %}
                                </div>
                            {% endif %}
                            <button id="dig_button" {% if zone_blocked or citizen.digTimeout > 0 or ( citizen.passiveDigTimer and not conf.get(constant('App\\Structures\\TownConf::CONF_MODIFIER_ALLOW_REDIGS'),false) ) %}disabled{% endif %}>
                                <img class="icon left" alt="" src="{{ asset('build/images/icons/small_gather.gif') }}" />
                                {% trans from 'game' %}In dieser Zone graben{% endtrans %}</button>
                        {% else %}
                            <div class="note note-light">
                                <img class="icon left" alt="" src="{{ asset('build/images/icons/small_gather.gif') }}" />
                                {% trans from 'game' %}Nächste automatische Ausgrabung:{% endtrans %}
                                <span x-countdown="{{ citizen.digTimeout }}" x-on-expire="reload">...</span>
                            </div>
                        {% endif %}
                        {% if zone.prototype %}
                            {% if zone.prototype.explorable %}
                                <button {% if not can_explore%}disabled{% endif%} id="enter_ruin_button"  >
                                    <img class="icon left" alt="" src="{{ asset('build/images/icons/planner.gif') }}" />
                                    {% trans with {'%ruin%': zone.prototype.label|trans({},'game')} from 'game'  %}%ruin% betreten{% endtrans %}
                                </button>
                            {% elseif zone.buryCount == 0%}
                                <button id="dig_ruin_button" {% if not dig_ruin or zone.buryCount > 0 %}disabled{% endif %} >
                                    {% if (zone_blocked and active_scout_mode) %}
                                        <img class="icon right" alt="" src="{{ asset('build/images/icons/uncloak.gif') }}" />
                                    {% endif %}
                                    <img class="icon left" alt="" src="{{ asset('build/images/icons/small_view.gif') }}" />
                                    {% set ruin_label = zone.prototype.label|trans({},'game') %}
                                    {% if zone.buryCount > 0 %}{% set ruin_label = 'Verschüttete Ruine'|trans({},'game') %}{% endif %}
                                    {% trans with {'%ruin%': ruin_label} from 'game'  %}%ruin% durchsuchen{% endtrans %}
                                </button>
                            {% else %}
                                <button id="uncover_ruin_button">
                                    {% if (zone_blocked and active_scout_mode) %}
                                        <img class="icon right" alt="" src="{{ asset('build/images/icons/uncloak.gif') }}" />
                                    {% endif %}
                                    <img class="icon left" alt="" src="{{ asset('build/images/icons/uncover.gif') }}" />
                                    {{ 'Zone freiräumen'|trans({},'game') }} (<div class="ap">1</div>)
                                </button>
                            {% endif %}
                        {% endif %}
                    {% endif %}


                    {% embed "ajax/game/actions.html.twig" with {'heroic_action_list': heroics, 'item_action_list': actions, 'recipe_list': recipes, 'scout': (zone_blocked and active_scout_mode), 'hidden': citizen_hidden} %}
                    {% endembed %}

                    {% if banished or town_chaos %}
                        <button id="bury_rucksack_button">{{ 'Rucksack verstecken'|trans({},'game') }} (<div class="ap">2</div>)</button>
                    {% endif %}

                {% else %}

                    {% if banished or town_chaos %}
                        <button {% if lock_trash %}disabled{% endif%} id="trash_button">{{ 'Müll durchwühlen'|trans({},'game') }} (<div class="ap">1</div>)</button>
                    {% endif %}

                {% endif %}

                {% if allow_enter_town %}
                    <button id="town-enter" {% if not doors_open %}disabled{% endif %}>
                        {% if zone.x == 0 and zone.y == 0 %}
                            <img alt="" src="{{ asset('build/images/emotes/arrowright.gif') }}"> {% trans from 'game' %}Stadt betreten{% endtrans %}
                        {% else %}
                            <img class="icon left" alt="" src="{{ asset('build/images/building/small_door_closed.gif') }}" />{% trans from 'game' %}In die Stadt zurückkehren{% endtrans %}
                        {% endif %}
                        {% if enter_costs_ap %}
                            (<div class="ap">1</div>)
                        {% endif %}
                    </button>
                {% endif %}
                {% if show_ventilation %}
                    <button id="town-enter-hero"{% if not allow_ventilation %}disabled{% endif %}><img alt="" src="{{ asset('build/images/icons/star.gif') }}">{% trans from 'game' %}Durch die Lüftungsschächte klettern{% endtrans %}</button>
                {% endif %}
                {% if show_sneaky %}
                    <button id="town-enter-sneak"><img alt="" src="{{ asset('build/images/roles/ghoul.gif') }}">{% trans from 'game' %}In die Stadt schleichen{% endtrans %}</button>
                {% endif %}

                {% if zone.x != 0 or zone.y != 0 %}
                {% else %}
                    {% embed "ajax/game/actions.html.twig" with {'heroic_action_list': heroics, 'item_action_list': actions, 'recipe_list': recipes} %}
                    {% endembed %}
                {% endif %}

                {% if is_shaman %}
                    <button id="fall_rain">
                        {% if zone.x != 0 or zone.y != 0 %}
                            <img alt="" src="{{ asset('build/images/icons/water.gif') }}">{{'Zone reinigen'|trans({}, 'game')}} (3 <div class="pm"></div>)
                        {% else %}
                            <img alt="" src="{{ asset('build/images/icons/water.gif') }}">{{'Regentanz ausführen'|trans({}, 'game')}} (3 <div class="pm"></div>)
                        {% endif %}
                    </button>
                {% endif %}

            </div>

            <div class="padded cell rw-6 rw-md-12">
                <h5><span class="float-right link" x-ajax-sticky x-ajax-href='{{ path('beyond_dashboard') }}'>{{'Aktualisierung'|trans({}, 'game')}}</span>{% trans from 'game' %}Meine objekte{% endtrans %}</h5>
                {% embed "ajax/game/inventory.html.twig" with {'size': rucksack_size, 'items': rucksack.items, 'hidden': citizen_hidden} %}
                    {% block class %}rucksack{% endblock %}
                    {% block title %}{% trans from 'game' %}Rucksack{% endtrans %}{% endblock %}
                {% endembed %}

                {% if allow_floor_access %}
                    {% if (zone_blocked and active_scout_mode) %}
                        <div class="note">
                            <b>{{ 'Achtung'|trans({},'global') }}</b>: {% trans from 'game' %}
                                Wenn du einen Gegenstand aufnimmst oder ablegst, verlierst du deine Tarnung!
                            {% endtrans %}
                        </div>
                    {% endif %}

                    {% if not citizen_hidden %}
                        <button id="drop-all-button" {% if rucksack.items|length == 0 %}disabled{% endif %}>{% trans from 'game' %}Rucksack auf dem Boden ausleeren{% endtrans %}</button>
                    {% endif %}
                    {% embed "ajax/game/inventory.html.twig" with {'size': 0, 'items': floor.items, 'hidden': citizen_hidden, show_banished_hidden: (banished or town_chaos)} %}
                        {% block class %}desert{% endblock %}
                        {% block title %}{% trans from 'game' %}Am Boden{% endtrans %}{% endblock %}
                    {% endembed %}
                {% endif %}

                {% if zone.x != 0 or zone.y != 0 %}
                <h5>{{"Zonenmarkierer"|trans({}, 'game')}} <a class="help-button"><div class="tooltip help">{{ 'Der Markierer ist auf der Karte für ALLE Bürger sichtbar. Benutze ihn, um der Gemeinschaft Informationen über eine bestimmte Zone mitzuteilen.'|trans({},'global') }}</div>{{ 'Hilfe'|trans({},'global') }}</a></h5>
                {% if not zone.tag is null and zone.tag.ref > 0 %}
                    <img src="{{ asset("build/images/tags/" ~ zone.tag.icon ~ ".gif") }}" />
                {% endif %}
                <select id="zone-marker">
                    {% for tag in zone_tags %}
                        <option value="{{tag.ref}}" {% if tag == zone.tag %}selected{% endif %}>{{tag.label|trans({}, 'game')}}</option>
                    {% endfor %}
                </select>
                {% endif %}
            </div>
        </div>
    {% endif %}

    <div class="other_citizens">
        {% if other_citizens|length == 1 %}
        <em>{{"Sie sind allein in dieser Gegend..."|trans({}, 'game')}}</em>
    {% elseif citizen.escortSettings is null or citizen.escortSettings.leader is null %}
        {% if conf.get(constant('App\\Structures\\TownConf::CONF_FEATURE_ESCORT'),true) and citizen.validLeadingEscorts|length > 0 %}
            <h5>{% trans from 'game' %}Deine Eskorte{% endtrans %}</h5>
            <div class="row-table">
                {% set not_digging = 0 %}
                {% for other_citizen in other_citizens %}
                    {# @var other_citizen \App\Entity\Citizen #}
                    {% if other_citizen.escortSettings is not null and other_citizen.escortSettings.leader == citizen %}
                        {% if not other_citizen.digging %}
                            {% set not_digging = not_digging+1 %}
                        {% endif %}
                        <div class="row beyond-escort-on">
                            <div class="padded cell rw-4">
                                {% if other_citizen.online %}
                                    <img src="{{ asset('build/images/icons/player_online.gif') }}" alt="{{ 'Online'|trans({},'global') }}">
                                {% else %}
                                    <img src="{{ asset('build/images/icons/player_offline.gif') }}" alt="{{ 'Offline'|trans({},'global') }}">
                                {% endif %}
                                <img alt="{{ other_citizen.profession.label|trans({}, 'game') }}" src="{{ asset('build/images/professions/' ~ other_citizen.profession.icon ~ '.gif') }}">
                                <b>{{ other_citizen.user.name }}</b>
                            </div>
                            <div class="padded cell rw-3">
                                <ul class="status">
                                    {% if zone.x != 0 or zone.y != 0 %}
                                        {% if not other_citizen.digging %}
                                            {% if other_citizen.digTimeout > 0 and conf.get(constant('App\\Structures\\TownConf::CONF_MODIFIER_ALLOW_REDIGS'),false) %}
                                                <li class="status">
                                                    <img src="{{ asset('build/images/icons/small_nogather.gif') }}" alt="{{ 'In dieser Zone graben'|trans({},'game') }}">
                                                    <div class="tooltip">
                                                        {% trans from 'game' %}Diese Bürger hat hier bereits vor Kurzem gegraben. Die nächste Ausgrabung ist möglich in:{% endtrans %}
                                                        <div class="center"><span x-countdown="{{ other_citizen.digTimeout }}" x-on-expire="">...</span></div>
                                                    </div>
                                                </li>
                                            {% elseif other_citizen.passiveDigTimer and not conf.get(constant('App\\Structures\\TownConf::CONF_MODIFIER_ALLOW_REDIGS'),false) %}
                                                <li class="status">
                                                    <img src="{{ asset('build/images/icons/small_nogather.gif') }}" alt="{{ 'In dieser Zone graben'|trans({},'game') }}">
                                                    <div class="tooltip">
                                                        {% trans from 'game' %}Diese Bürger hat hier bereits vor Kurzem gegraben. Die nächste Ausgrabung ist erst morgen wieder möglich.{% endtrans %}
                                                    </div>
                                                </li>
                                            {% endif %}
                                        {% else %}
                                            <li class="status">
                                                <img src="{{ asset('build/images/icons/small_gather.gif') }}" alt="{{ 'In dieser Zone graben'|trans({},'game') }}">
                                                <div class="tooltip">
                                                    <b>{% trans from 'game' %}Nächste automatische Ausgrabung:{% endtrans %}</b>
                                                    <div class="center"><span x-countdown="{{ other_citizen.digTimeout }}" x-on-expire="">...</span></div>
                                                </div>
                                            </li>
                                        {% endif %}
                                    {% endif %}
                                    {% for stat in other_citizen.status %}
                                        {# @var stat \App\Entity\CitizenStatus #}
                                        {% if not stat.hidden %}
                                            <li class="status">
                                                <img src="{{ asset('build/images/status/status_' ~ stat.name ~ '.gif') }}" alt="{{ stat.label|trans({},'game') }}">
                                                {% if stat.description %}
                                                <div class="tooltip temp-building">
                                                {{ stat.description|trans({}, 'game')}}
                                                </div>
                                                {% endif %}
                                            </li>
                                        {% endif %}
                                    {% endfor %}
                                </ul>
                            </div>
                            <div class="padded cell rw-2">
                                <div class="ap small">{{ other_citizen.ap }}</div>
                            </div>
                            <div class="padded cell rw-3 right">
                                {% if other_citizen.escortSettings.allowInventoryAccess %}
                                    {% for escort_action in escort_actions[other_citizen.id] %}
                                        {# @var \App\Structures\EscortItemActionSet escort_action #}
                                        <button {% if not escort_action.hasAvailableActions %}disabled{% endif%} class="small inline" x-escort-meta-group x-escort-meta-action="{{ escort_action.group.id }}" x-citizen="{{ other_citizen.id }}" ><img alt="" src="{{ asset('build/images/actions/' ~ escort_action.group.icon ~ '.gif') }}" style="margin-right: 0px;" /></button>
                                    {% endfor %}
                                {% endif %}
                                {% if zone.x != 0 or zone.y != 0 %}
                                    <button {% if other_citizen.digging or zone_blocked or other_citizen.digTimeout > 0 %}disabled{% else %}x-remote-action x-escort-control-endpoint="{{ path('beyond_desert_dig_controller', {ext: other_citizen.id}) }}"{% endif %} class="small inline" ><img alt="" src="{{ asset('build/images/icons/small_gather.gif') }}" style="margin-right: 0px;" /></button>
                                {% endif %}

                                <button {% if not can_attack_citizen %}disabled{% endif %} x-attack-citizen="{{ path('beyond_desert_attack_citizen_controller', {cid: other_citizen.id}) }}" class="small inline"><img alt="" src="{{ asset('build/images/icons/fist.gif') }}" style="margin-right: 0px;"/></button>
                                {% if can_devour_citizen %}
                                    <button {% if not allow_devour_citizen %}disabled{% endif %} x-devour-citizen="{{ path('beyond_desert_devour_citizen_controller', {cid: other_citizen.id}) }}" class="small inline"><img alt="" src="{{ asset('build/images/roles/ghoul.gif') }}" style="margin-right: 0px;" /></button>
                                {% endif %}
                                <button x-toggle-escort="0" x-escort-control-endpoint="{{ path('beyond_desert_escort_controller', {cid: other_citizen.id}) }}" class="small inline" ><img alt="" src="{{ asset('build/images/icons/escort_off.gif') }}" style="margin-right: 0px;" /></button>

                                {% if escort_actions[other_citizen.id] is defined %}
                                {% for escort_action in escort_actions[other_citizen.id] %}
                                    {# @var \App\Structures\EscortItemActionSet escort_action #}
                                    <div class="tooltip-dummy hidden _ec _ec_{{ other_citizen.id }}_{{ escort_action.group.id }}">
                                        <div class="tooltip-dummy-container">
                                            <h4>{{ escort_action.group.label|trans({},'items') }}</h4>
                                            <ul class="escort-action-list">
                                                {% for item in escort_action.items %}
                                                    {# @var \App\Entity\Item item #}
                                                    {% for action in escort_action.availableActions(item) %}
                                                        <li x-provoking-id="{{ item.id }}" x-citizen="{{ other_citizen.id }}" x-action-id="{{ action.id }}" x-escort-meta-action="{{ escort_action.group.id }}"><img alt="" src="{{ asset('build/images/item/item_' ~ item.prototype.icon ~ '.gif') }}"></li>
                                                    {% endfor %}
                                                    {% for action in escort_action.crossedActions(item) %}
                                                        <li disabled><img alt="" src="{{ asset('build/images/item/item_' ~ item.prototype.icon ~ '.gif') }}"></li>
                                                    {% endfor %}
                                                {% endfor %}
                                            </ul>
                                        </div>

                                    </div>
                                {% endfor %}
                                {% endif %}
                            </div>

                            {% if other_citizen.escortSettings.allowInventoryAccess %}
                                <div class="padded cell ro-4 rw-8">
                                    {% embed "ajax/game/inventory.html.twig" with {'size': rucksack_sizes[other_citizen.id], 'items': other_citizen.inventory.items, 'escort': other_citizen.id, 'plus': allow_floor_access} %}
                                        {% block class %}rucksack-escort{% endblock %}
                                    {% endembed %}
                                    {% if allow_floor_access %}
                                        <div class="tooltip-dummy hidden _lf _lf_{{ other_citizen.id }}">
                                            {% embed "ajax/game/inventory.html.twig" with {'size': 0, 'items': floor.items, 'escort': other_citizen.id} %}
                                                {% block class %}desert-escort{% endblock %}
                                            {% endembed %}
                                        </div>
                                    {% endif %}
                                </div>
                            {% endif %}
                        </div>
                    {% endif %}
                {% endfor %}
                {% if citizen.validLeadingEscorts|length > 1 %}
                    <div class="row beyond-escort-on beyond-escort-on-all">
                        <div class="padded cell rw-4">
                            <b>{{ 'Gesamte Eskorte'|trans({},'game') }}</b>
                        </div>
                        <div class="padded cell rw-8 right">
                            {% if not_digging > 1 and (zone.x != 0 or zone.y != 0) %}
                                <button {% if zone_blocked %}disabled{% else %}x-remote-action x-escort-control-endpoint="{{ path('beyond_desert_dig_controller', {ext: 'all'}) }}"{% endif %} class="small inline" ><img alt="" src="{{ asset('build/images/icons/small_gather.gif') }}" style="margin-right: 0px;" /></button>
                            {% endif %}
                            <button x-remote-action x-escort-control-endpoint="{{ path('beyond_desert_escort_drop_controller') }}" class="small inline" ><img alt="" src="{{ asset('build/images/icons/escort_off.gif') }}" style="margin-right: 0px;" /></button>
                        </div>
                    </div>
                {% endif %}
            </div>
        {% endif %}

        {% if other_citizens|length - citizen.validLeadingEscorts|length > 0 %}
            <h5>{% trans from 'game' %}Bürger in dieser Zone{% endtrans %}</h5>
            <div class="row-table">
                {% for other_citizen in other_citizens %}
                    {# @var other_citizen \App\Entity\Citizen #}
                    {% if other_citizen.escortSettings is null or other_citizen.escortSettings.leader != citizen %}
                        <div class="row beyond-escort-off">
                            <div class="padded cell rw-4">
                                {% if other_citizen.online %}
                                    <img src="{{ asset('build/images/icons/player_online.gif') }}" alt="{{ 'Online'|trans({},'global') }}">
                                {% else %}
                                    <img src="{{ asset('build/images/icons/player_offline.gif') }}" alt="{{ 'Offline'|trans({},'global') }}">
                                {% endif %}
                                <img alt="{{ other_citizen.profession.label|trans({}, 'game') }}" src="{{ asset('build/images/professions/' ~ other_citizen.profession.icon ~ '.gif') }}">
                                <b>{{ other_citizen.user.name }}</b>
                            </div>
                            <div class="padded cell rw-4">
                                <ul class="status">
                                    {% if other_citizen.camping %}
                                        <li class="status"><img src="{{ asset('build/images/status/status_camper.gif') }}" alt="{{ 'Camping'|trans({},'game') }}"></li>
                                    {% endif %}
                                    {% if other_citizen.digging %}
                                        <li class="status"><img src="{{ asset('build/images/icons/small_gather.gif') }}" alt="{{ 'In dieser Zone graben'|trans({},'game') }}"></li>
                                    {% endif %}
                                    {% if other_citizen.escortSettings is not null and other_citizen.escortSettings.leader is not null %}
                                        <li class="status">
                                            <img src="{{ asset('build/images/icons/escort_other.gif') }}" alt="{{ 'Eskorte'|trans({},'game') }}">
                                            <div class="tooltip">
                                                {{ 'Dieser Bürger wird aktuell von %leader% eskortiert.'|trans({'%leader%': other_citizen.escortSettings.leader.user.name},'game') }}
                                            </div>
                                        </li>
                                    {% endif %}
                                </ul>
                            </div>
                            <div class="padded cell rw-4 right">
                                {% if not other_citizen.activeExplorerStats and other_citizen != citizen %}
                                    <button {% if not can_attack_citizen %}disabled{% endif %} x-attack-citizen="{{ path('beyond_desert_attack_citizen_controller', {cid: other_citizen.id}) }}" class="small inline"><img alt="" src="{{ asset('build/images/icons/fist.gif') }}" style="margin-right: 0px;" /></button>
                                    {% if can_devour_citizen %}
                                        <button {% if not allow_devour_citizen %}disabled{% endif %} x-devour-citizen="{{ path('beyond_desert_devour_citizen_controller', {cid: other_citizen.id}) }}" class="small inline"><img alt="" src="{{ asset('build/images/roles/ghoul.gif') }}" style="margin-right: 0px;" /></button>
                                    {% endif %}
                                    {% if other_citizen.escortSettings is not null and other_citizen.escortSettings.leader is null %}
                                        <button {% if not citizen.profession.heroic %}disabled{% else %}x-toggle-escort="1" x-escort-control-endpoint="{{ path('beyond_desert_escort_controller', {cid: other_citizen.id}) }}"{% endif%} class="small inline" ><img alt="" src="{{ asset('build/images/icons/escort_in.gif') }}" style="margin-right: 0px;" /></button>
                                    {% endif %}
                                {% endif %}
                            </div>
                        </div>
                    {% endif %}
                {% endfor %}
            </div>
        {% endif %}
    {% endif %}

        {% if not citizen.camping and conf.get(constant('App\\Structures\\TownConf::CONF_FEATURE_ESCORT'),true) %}
        <div class="row">
            {% if citizen.escortSettings is null and citizen.validLeadingEscorts|length == 0 %}
                <div class="cell padded rw-12"><button x-toggle-escort="1"><img alt="" src="{{ asset('build/images/icons/escort_on.gif') }}" />{{ 'Eskorte aktivieren'|trans({},'game') }}</button></div>
            {% elseif citizen.escortSettings is not null %}
                <div class="cell padded rw-12">
                    <div class="note note-lightest">
                        <input type="checkbox" {% if citizen.escortSettings.forceDirectReturn %}checked{% endif%} x-toggle-escort="1" id="escort_force_return" />&nbsp;<label for="escort_force_return">{{ 'Ich will auf direktem Weg zurück zur Stadt'|trans({},'game') }}</label>
                        <a class="help-button"><div class="tooltip help">{{ 'Wenn diese Option aktiviert ist, kann dich ein anderer Bürger nicht weiter von der Stadt entfernen. Er darf dich in diesem Fall nur näher bringen.'|trans({},'game') }}</div>{{ 'Hilfe'|trans({},'global') }}</a>
                    </div>
                </div>
                <div class="cell padded rw-12">
                    <div class="note note-lightest">
                        <input type="checkbox" {% if citizen.escortSettings.allowInventoryAccess %}checked{% endif%} x-toggle-escort="1" id="escort_allow_rucksack" />&nbsp;<label for="escort_allow_rucksack">{{ 'Zugriff auf meinen Rucksack zulassen'|trans({},'game') }}</label>
                        <a class="help-button"><div class="tooltip help">{{ 'Wenn diese Option aktiviert ist, kann dir ein anderer Spieler befehlen, Gegenstände einzusammeln oder abzulegen. BEACHTE: Einige "persönliche" Gegenstände können unter keinen Umständen abgelegt werden (Texte, Waffen u.a.)'|trans({},'game') }}</div>{{ 'Hilfe'|trans({},'global') }}</a>
                    </div>
                </div>
                <div class="cell rw-12 padded left">
                    <button x-toggle-escort="0"><img alt="" src="{{ asset('build/images/icons/escort_off.gif') }}" /><span class="left">{{ 'Eskorte deaktivieren'|trans({},'game') }}</span></button>
                </div>
            {% endif %}
        </div>
    {% endif %}

        {% if zone.x != 0 or zone.y != 0 %}
        <div class="row">
            <h5><span class="float-right link" x-ajax-sticky x-ajax-href='{{ path('beyond_dashboard') }}'>{{'Aktualisierung'|trans({}, 'game')}}</span>{{ 'Zonenregister'|trans({},'game') }} <a class="help-button"><div class="tooltip help">{{ 'Beachte: Alle hier geschriebenen Nachrichten gehen verloren, wenn alle Bürger die Zone verlassen.'|trans({},'global') }}</div>{{ 'Hilfe'|trans({},'global') }}</a></h5>
            <div class="cell rw-12">
                <div class="row">
                    <div class="padded cell rw-10 rw-lg-10 rw-md-9 rw-sm-8"><input id="beyond_chat" type="text" placeholder="{{ 'Deine Nachricht'|trans({},'global') }}" /></div>
                    <div class="padded cell rw-2 rw-lg-2 rw-md-3 rw-sm-4"><button id="chat_button">{{ 'Senden'|trans({},'game') }}</button></div>
                </div>

            </div>
            <div class="cell rw-12">
                {% embed "ajax/game/log.html.twig" with {'log_content': log, 'log_source': path('beyond_desert_log_controller') } %}
                {% endembed %}
            </div>
        </div>
    {% endif %}
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% embed "scripts/actions.js.twig" %}{% endembed %};
        {% if zone.x != 0 or zone.y != 0 %}
            {% embed "scripts/log.js.twig" %}{% endembed %}
        {% endif %}

        $.html.addEventListenerAll( '[x-toggle-escort]:not([x-escort-control-endpoint])', 'click', function(e,elem) {
            const allow_rucksack = document.getElementById('escort_allow_rucksack') ? document.getElementById('escort_allow_rucksack').checked : false;
            const force_return = document.getElementById('escort_force_return') ? document.getElementById('escort_force_return').checked : {% if zone.x == 0 and zone.y == 0 %}false{% else %}true{% endif %};
            $.ajax.easySend( '{{ path('beyond_desert_escort_self_controller') }}', {
                on: elem.getAttribute('x-toggle-escort') === '1',
                cf_ruc: allow_rucksack,
                cf_ret: force_return,
            },
                function () {
                    $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                } );
        });

        $.html.addEventListenerAll( '[x-toggle-escort][x-escort-control-endpoint]', 'click', function(e,elem) {
            $.ajax.easySend( elem.getAttribute('x-escort-control-endpoint'), {on: elem.getAttribute('x-toggle-escort') === '1'},
                function () {
                    $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                } );
        });

        $.html.addEventListenerAll( '[x-remote-action][x-escort-control-endpoint]', 'click', function(e,elem) {
            $.ajax.easySend( elem.getAttribute('x-escort-control-endpoint'), {},
                function () {
                    $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                } );
        });

        let sendLog = function() {
            $.ajax.easySend( '{{ path('beyond_desert_chat_controller') }}', { msg: document.getElementById('beyond_chat').value },
                function () {
                    $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                } );
        };
        let chat_button = document.getElementById('chat_button');
        if (chat_button)
            chat_button.addEventListener('click', function() {
                sendLog();
            });

        let beyond_chat = document.getElementById('beyond_chat');
        if (chat_button)
          beyond_chat.addEventListener('keypress', function(e) {
            if (e.key === "Enter") {
              sendLog();
            }
          });

        let dig_button = document.getElementById('dig_button');
        if (dig_button)
            dig_button.addEventListener('click', function() {
                $.ajax.easySend( '{{ path('beyond_desert_dig_controller') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                    } );
            });
        {% if can_explore %}
            $.html.addEventListenerAll( '#enter_ruin_button', 'click', function() {
                $.ajax.easySend( '{{ path('beyond_desert_enter_ruin_controller') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('exploration_dashboard') }}', true);
                    } );
            } );
        {% endif %}
        let dig_r_button = document.getElementById('dig_ruin_button');
        if (dig_r_button)
            dig_r_button.addEventListener('click', function() {
                $.ajax.easySend( '{{ path('beyond_desert_scavenge_controller') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                    } );
            });

        let uncover_r_button = document.getElementById('uncover_ruin_button');
        if (uncover_r_button)
            uncover_r_button.addEventListener('click', function() {
                $.ajax.easySend( '{{ path('beyond_desert_uncover_controller') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                    } );
            });

        let zone_marker = document.getElementById("zone-marker");
        if (zone_marker)
            zone_marker.addEventListener('change', function() {
                $.ajax.easySend( '{{ path('beyond_desert_change_zone_marker') }}', {tag: zone_marker.value},
                    function () {
                        $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                    } );
            })

        {% if zone.x == 0 and zone.y == 0 and not lock_trash %}
            let trash_button = document.getElementById('trash_button');
            if (trash_button)
                trash_button.addEventListener('click', function() {
                    $.ajax.easySend( '{{ path('beyond_trash_controller') }}', {},
                        function () {
                            $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                        } );
                });
        {% endif %}

        {% if zone_blocked and zone_escape < 0 and not active_scout_mode %}
        let escapeBtn = document.getElementById('escape-btn');
        if(escapeBtn) escapeBtn.addEventListener('click', function () {
            if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                return;
            $.ajax.easySend( '{{ path('beyond_desert_escape_controller') }}', {},
                function () {
                    $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                } );
        });
        let attackBtn = document.getElementById('attack-btn');
        if(attackBtn) attackBtn.addEventListener('click', function () {
            if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                return;
            $.ajax.easySend( '{{ path('beyond_desert_attack_controller') }}', {},
                function () {
                    $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                } );
        });
        {% endif %}

        {% if allow_floor_access %}
            {% embed "scripts/inventory.js.twig" %}{% endembed %}

            {% if conf.get(constant('App\\Structures\\TownConf::CONF_FEATURE_ESCORT'),true) %}
                $.html.addEventListenerAll( '.rucksack-escort>.item.plus[x-escort-id]:not(.locked)', 'click', function(e,elem) {
                    const eid = elem.getAttribute('x-escort-id');

                    let inv = document.querySelector('._lf_' + eid);
                    if (inv.classList.contains('hidden')) {
                        let tt = document.querySelectorAll('.tooltip-dummy');
                        for (let i = 0; i < tt.length; i++) tt[i].classList.add('hidden');
                        inv.classList.remove('hidden');
                    }
                    else inv.classList.add('hidden');
                });

                $.html.addEventListenerAll( '[x-escort-meta-group][x-escort-meta-action][x-citizen]', 'click', function(e,elem) {
                    let pp = document.querySelector('._ec_' + elem.getAttribute('x-citizen') + '_' + elem.getAttribute('x-escort-meta-action'));
                    if (pp.classList.contains('hidden')) {
                        let tt = document.querySelectorAll('.tooltip-dummy');
                        for (let i = 0; i < tt.length; i++) tt[i].classList.add('hidden');
                        pp.classList.remove('hidden');
                    } else pp.classList.add('hidden')
                });
            {% endif %}

            handleItems(
                document.querySelectorAll('.rucksack>.item[x-item-id]:not(.locked),.rucksack-escort>.item[x-item-id]:not(.locked)'),
                '{{ path('beyond_desert_item_controller') }}',
                'down', '{{ path('beyond_dashboard') }}'
            );

            handleItems(
                document.querySelectorAll('#drop-all-button'),
                '{{ path('beyond_desert_item_controller') }}',
                'down-all', '{{ path('beyond_dashboard') }}'
            );

            handleItems(
                document.querySelectorAll('.desert>.item[x-item-id]:not(.locked),.desert-escort>.item[x-item-id]:not(.locked)'),
                '{{ path('beyond_desert_item_controller') }}',
                'up', '{{ path('beyond_dashboard') }}'
            );

            handleCampingActions(
              document.querySelectorAll('ul.camping_actions li[x-action-id]:not([disabled])'),
              '{{ path('beyond_desert_camping_controller') }}', '{{ path('beyond_dashboard') }}'
            );

            {% if banished or town_chaos %}
                let bury_rucksack_button = document.getElementById("bury_rucksack_button")
                if (bury_rucksack_button) {
                    handleItems(
                        document.querySelectorAll('#bury_rucksack_button'),
                        '{{ path('beyond_bury_rucksack_controller') }}',
                        'down-all', '{{ path('beyond_dashboard') }}'
                    );
                }
            {% endif %}

        {% endif %}

        handleHeroicActions(
            document.querySelectorAll('ul.heroic_actions li[x-action-id]:not([disabled])'),
            '{{ path('beyond_desert_heroic_controller') }}', '{{ path('beyond_dashboard') }}'
        );

        handleActions(
            document.querySelectorAll('ul.actions li[x-action-id][x-provoking-id]:not([disabled])'),
            '{{ path('beyond_desert_action_controller') }}', '{{ path('beyond_dashboard') }}'
        );

        handleActions(
            document.querySelectorAll('._ec li[x-action-id][x-provoking-id][x-citizen][x-escort-meta-action]:not([disabled])'),
            '{{ path('beyond_desert_escort_action_controller') }}', '{{ path('beyond_dashboard') }}'
        );

        handleActionPopups( document.querySelectorAll('ul.actions>li[x-target-definition]') );
        handleActionPopups( document.querySelectorAll('ul.heroic_actions>li[x-target-definition]') );

        handleRecipes(
            document.querySelectorAll('ul.actions>li[x-recipe-id]:not([disabled])'),
            '{{ path('beyond_desert_recipe_controller') }}', '{{ path('beyond_dashboard') }}'
        );

        {% if allow_enter_town %}
            let townEnterBtn = document.getElementById('town-enter');
            if(townEnterBtn) townEnterBtn.addEventListener('click', function() {
                $.ajax.easySend( '{{ path('beyond_desert_exit_controller') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('game_landing') }}', true);
                    } );
            });
        {% endif %}
        {% if show_ventilation and allow_ventilation %}
            let townEnterVentBtn = document.getElementById('town-enter-hero');
            if(townEnterVentBtn) townEnterVentBtn.addEventListener('click', function() {
                if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                    return;
                $.ajax.easySend( '{{ path('beyond_desert_exit_controller', {'special': 'hero'}) }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('game_landing') }}', true);
                    } );
            });
        {% endif %}
        {% if show_sneaky %}
            let townEnterSneakBtn = document.getElementById('town-enter-sneak');
            if(townEnterSneakBtn) townEnterSneakBtn.addEventListener('click', function() {
                $.ajax.easySend( '{{ path('beyond_desert_exit_controller', {'special': 'sneak'}) }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('game_landing') }}', true);
                    } );
            });
        {% endif %}

        {% if can_attack_citizen %}
            $.html.addEventListenerAll('[x-attack-citizen]', 'click', function(e,elem) {
                if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                    return;
                $.ajax.easySend( elem.getAttribute('x-attack-citizen'), {},
                    function () {
                        $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                    } );
            });
        {% endif %}

        {% if can_devour_citizen and allow_devour_citizen %}
        $.html.addEventListenerAll('[x-devour-citizen]', 'click', function(e,elem) {
            if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                return;
            $.ajax.easySend( elem.getAttribute('x-devour-citizen'), {},
                function () {
                    $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                } );
        });
        {% endif %}

        {% if is_shaman %}
            $.html.addEventListenerAll('#fall_rain', 'click', function() {
                if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                    return;
                $.ajax.easySend( '{{ path('beyond_desert_shaman_rain') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('beyond_dashboard') }}', true);
                    } );
            });
        {% endif %}
    </script>
{% endblock %}
